org.apache.olingo.odata2.jpa.processor.ref.listeners

## Class SalesOrderItemTombstoneListener

- java.lang.Object
- - org.apache.olingo.odata2.jpa.processor.api.ODataJPATombstoneEntityListener
  - - org.apache.olingo.odata2.jpa.processor.ref.listeners.SalesOrderItemTombstoneListener

-     public class SalesOrderItemTombstoneListener
      extends ODataJPATombstoneEntityListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SalesOrderItemTombstoneListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `generateDeltaToken(List<Object> deltas, javax.persistence.Query query)` Implement this method to create a delta token.
    `javax.persistence.Query` | `getQuery(GetEntitySetUriInfo resultsView, javax.persistence.EntityManager em)` Implement this method to create a `Query` object.

    - ### Methods inherited from class org.apache.olingo.odata2.jpa.processor.api.ODataJPATombstoneEntityListener

      `addToDelta, isTombstoneSupported`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SalesOrderItemTombstoneListener

          public SalesOrderItemTombstoneListener()

  - ### Method Detail

    - #### getQuery

          public javax.persistence.Query getQuery(GetEntitySetUriInfo resultsView,
                                                  javax.persistence.EntityManager em)

      Description copied from class: `ODataJPATombstoneEntityListener`
      Implement this method to create a `Query` object. The Query object can be created from OData requests. The query instance thus created can be used for handling delta JPA entities. The delta token passed from OData request can be accessed from `com.sap.core.odata.processor.api.jpa.ODataJPATombstoneContext`.
      Specified by:
        `getQuery` in class `ODataJPATombstoneEntityListener`
      Parameters:
        `resultsView` - is a reference to OData request
        `em` - is a reference to `EntityManager`
      Returns:
        an instance of type `Query`

    - #### generateDeltaToken

          public String generateDeltaToken(List<Object> deltas,
                                           javax.persistence.Query query)

      Description copied from class: `ODataJPATombstoneEntityListener`
      Implement this method to create a delta token.
      Specified by:
        `generateDeltaToken` in class `ODataJPATombstoneEntityListener`
      Parameters:
        `deltas` - is list of delta JPA Entities
        `query` - is an instance of type `Query` that was used for handling delta entites
      Returns:
        a delta token of type String

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.